# Update ticket

`PATCH /events/{eventId}/tickets/{id}`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `eventId` (path, string, **required**) (example: `00000000-0000-0000-0000-000000000000`)
- `id` (path, string, **required**) (example: `00000000-0000-0000-0000-000000000000`)

## Request Body

Content-Type: `application/json`

- `name` (string)
- `hidden` (boolean)
- `kind` (string)
- `price` (integer)

## Responses

### 200 — Coerces a paid pass to a free pass when price is set to zero

- `object` (string)
- `id` (string)
- `name` (string)
- `description` (any)
- `kind` (string)
- `attendanceType` (string)
- `pricingMode` (string)
- `price` (number)
- `fee` (number)
- `currency` (string)
- `quantity` (any)
- `quantityPerOrder` (any)
- `quantityPerMember` (any)
- `quantityPerList` (any)
- `secretCode` (any)
- `salesStartAt` (any)
- `salesEndHours` (integer)
- `salesEndRule` (string)
- `transferAllowed` (boolean)
- `showOnEventPage` (boolean)
- `seatsCategoryKeys` (array)
- `additionalEventIds` (array)
- `hidden` (boolean)
- `createdAt` (string)
- `updatedAt` (string)
- `occurrenceIds` (any)
- `meta` (object)
  - `requestId` (string)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 403 — Updates a ticket

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 404 — Returns 404 for non-owned event

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 422 — Hide rolls back when other field is invalid

- `object` (string)
- `status` (integer)
- `message` (string)
- `errors` (array)
  Items:
    - `field` (string)
    - `message` (string)
- `meta` (object)
  - `requestId` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/update-ticket
